Bug 446559 - Add super-H(sh3,4) architecture support.
Add super-H(sh3,4) architecture support.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libtirpc (Show other bugs)
rawhide
sh4 Linux
low Severity low
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 23:29 EDT by CHIKAMA Masaki
Modified: 2008-11-15 00:58 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-15 00:58:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
libtirpc-0.1.7-sh-linux.patch (591 bytes, patch)
2008-05-14 23:29 EDT, CHIKAMA Masaki
no flags Details | Diff

  None (edit)
Description CHIKAMA Masaki 2008-05-14 23:29:34 EDT
Description of problem:
 This patch adds support super-H(sh3,sh4) architecture.
It's forward ported patch for libtirpc-0.1.7-12
getting from http://www.sh-linux.org/

--- libtirpc-0.1.7/src/xdr_float.c.org  2008-05-13 21:45:26.000000000 +0900
+++ libtirpc-0.1.7/src/xdr_float.c      2008-05-13 21:46:08.000000000 +0900
@@ -59,7 +59,8 @@
     defined(__mips__) || defined(__ns32k__) || defined(__alpha__) || \
     defined(__arm32__) || defined(__ppc__) || defined(__ia64__) || \
     defined(__arm26__) || defined(__sparc64__) || defined(__amd64__) || \
-    defined(__powerpc__) || defined(__s390__) || defined(__arm__)
+    defined(__powerpc__) || defined(__s390__) || defined(__arm__) || \
+    defined(__sh__)
 #include <bits/endian.h>
 #define IEEEFP
 #endif
Comment 1 CHIKAMA Masaki 2008-05-14 23:29:34 EDT
Created attachment 305435 [details]
libtirpc-0.1.7-sh-linux.patch
Comment 2 Steve Dickson 2008-06-27 14:17:35 EDT
Fixed in libtirpc-0.1.8-2.fc10
Comment 3 CHIKAMA Masaki 2008-11-15 00:58:30 EST
Thank you for applying patch.
Sorry for late response.

Note You need to log in before you can comment on or make changes to this bug.